import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { ProbeHost } from '../../model';

export interface State {
  error: RPCClientError | null;
  isPending: boolean;
  probeHosts: ProbeHost[] | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  probeHosts: null,
};
