import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { ProbeHost } from '../../model';

export interface State {
  error: RPCClientError | null;
  isPending: boolean;
  probeHost: ProbeHost | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  probeHost: null,
};

