import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { Zone } from '../../model';

export interface State {
  error: RPCClientError | null;
  processing: boolean;
  zones: Map<string, Zone> | null;
  isReq: boolean;
  isStart: boolean;
  isEnd: boolean;
}

export const initialState: State = {
  error: null,
  processing: false,
  zones: null,
  isReq: false,
  isStart: false,
  isEnd: false
};

